Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 7cd2b8b1524231ca8691cc3a375392b9c21bc0a3)
+++ chapter01/changelog.xml	(revision 5e32d3008af234cbd0f7dea021d0199005f22282)
@@ -43,4 +43,39 @@
     appropriate for the entry or if needed the entire day's listitem.
        -->
+
+    <listitem>
+      <para>2020-01-27</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.0190. Addresses
+          <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to binutils-2.34. Fixes
+          <ulink url="&lfs-ticket-root;4590">#4590</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to glibc-2.31. Fixes
+          <ulink url="&lfs-ticket-root;4589">#4589</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.5.1. Fixes
+          <ulink url="&lfs-ticket-root;4588">#4588</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-2.5.3. Fixes
+          <ulink url="&lfs-ticket-root;4587">#4587</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-5.5.0. Fixes
+          <ulink url="&lfs-ticket-root;4586">#4586</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to util-linux 2.35.1. Fixes
+          <ulink url="&lfs-ticket-root;4560">#4560</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+    
     <listitem revision="systemd">
       <para>2020-01-23</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 7cd2b8b1524231ca8691cc3a375392b9c21bc0a3)
+++ chapter01/whatsnew.xml	(revision 5e32d3008af234cbd0f7dea021d0199005f22282)
@@ -102,7 +102,7 @@
       <para>Gettext-&gettext-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Glibc-&glibc-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>GMP-&gmp-version;</para>
@@ -243,7 +243,7 @@
       <para>Tzdata-&tzdata-version;</para>
    </listitem>
-   <!--<listitem>
+   <listitem>
       <para>Util-Linux-&util-linux-version;</para>
-   </listitem>-->
+   </listitem>
     <listitem>
       <para>Vim-&vim-version;</para>
Index: chapter05/gcc-pass2.xml
===================================================================
--- chapter05/gcc-pass2.xml	(revision 7cd2b8b1524231ca8691cc3a375392b9c21bc0a3)
+++ chapter05/gcc-pass2.xml	(revision 5e32d3008af234cbd0f7dea021d0199005f22282)
@@ -104,9 +104,13 @@
 tar -xf ../mpc-&mpc-version;.tar.gz
 mv -v mpc-&mpc-version; mpc</userinput></screen>
-<!--
-    <para>As in the first build of GCC, fix a problem identified upstream:</para>
-
-<screen><userinput remap="pre">sed -i 's/if \((code.*))\)/if (\1 \&amp;\&amp; \!DEBUG_INSN_P (insn))/' gcc/sched-deps.c</userinput></screen>
--->
+
+    <para>
+      Now fix a problem introduced by aother package after this version 
+      of gcc was released:
+    </para>
+
+<screen><userinput remap="pre">sed -e '1161 s|^|//|' \
+    -i libsanitizer/sanitizer_common/sanitizer_platform_limits_posix.cc</userinput></screen>
+
     <para>Create a separate build directory again:</para>
 
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision 7cd2b8b1524231ca8691cc3a375392b9c21bc0a3)
+++ chapter06/gcc.xml	(revision 5e32d3008af234cbd0f7dea021d0199005f22282)
@@ -51,4 +51,12 @@
   ;;
 esac</userinput></screen>
+
+   <para>
+      As in gcc-pass2, fix a problem introduced by aother package after this version
+      of gcc was released:
+    </para>
+
+<screen><userinput remap="pre">sed -e '1161 s|^|//|' \
+    -i libsanitizer/sanitizer_common/sanitizer_platform_limits_posix.cc</userinput></screen>
 
     <para>The GCC documentation recommends building GCC in a dedicated build directory:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 7cd2b8b1524231ca8691cc3a375392b9c21bc0a3)
+++ general.ent	(revision 5e32d3008af234cbd0f7dea021d0199005f22282)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200127">
+<!ENTITY version         "SVN-20200201">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200127-systemd">
+<!ENTITY versiond        "20200201-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "January 27th, 2020">
+<!ENTITY releasedate     "February 1st, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 7cd2b8b1524231ca8691cc3a375392b9c21bc0a3)
+++ packages.ent	(revision 5e32d3008af234cbd0f7dea021d0199005f22282)
@@ -51,16 +51,16 @@
 <!ENTITY bash-ch6-sbu "2.1 SBU">
 
-<!ENTITY bc-version "2.5.1">
-<!ENTITY bc-size "246 KB">
+<!ENTITY bc-version "2.5.3">
+<!ENTITY bc-size "247 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/archive/&bc-version;/bc-&bc-version;.tar.gz">
-<!ENTITY bc-md5 "039ce0ae1d03cfbf1ff0db4898920d24">
+<!ENTITY bc-md5 "6582c6fbbae943fbfb8fe14a34feab57">
 <!ENTITY bc-home "https://github.com/gavinhoward/bc">
 <!ENTITY bc-ch6-du "2.9 MB">
 <!ENTITY bc-ch6-sbu "0.1 SBU">
 
-<!ENTITY binutils-version "2.33.1">
-<!ENTITY binutils-size "20,988 KB">
+<!ENTITY binutils-version "2.34">
+<!ENTITY binutils-size "21,131 KB">
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.xz">
-<!ENTITY binutils-md5 "9406231b7d9dd93731c2d06cefe8aaf1">
+<!ENTITY binutils-md5 "664ec3a2df7805ed3464639aaae332d6">
 <!ENTITY binutils-home "&gnu-software;binutils/">
 <!ENTITY binutils-ch5p1-du "659 MB">
@@ -263,8 +263,8 @@
 <!ENTITY gettext-ch6-sbu "2.9 SBU">
 
-<!ENTITY glibc-version "2.30">
-<!ENTITY glibc-size "16,189 KB">
+<!ENTITY glibc-version "2.31">
+<!ENTITY glibc-size "16,286 KB">
 <!ENTITY glibc-url "&gnu;glibc/glibc-&glibc-version;.tar.xz">
-<!ENTITY glibc-md5 "2b1dbdf27b28620752956c061d62f60c">
+<!ENTITY glibc-md5 "78a720f17412f3c3282be5a6f3363ec6">
 <!ENTITY glibc-home "&gnu-software;libc/">
 <!ENTITY glibc-ch5-du "896 MB">
@@ -350,8 +350,8 @@
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.4.0">
-<!ENTITY iproute2-size "724 KB">
+<!ENTITY iproute2-version "5.5.0">
+<!ENTITY iproute2-size "731 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "54d86cadb4cd1d19fd7114b4e53adf51">
+<!ENTITY iproute2-md5 "ee8e2cdb416d4a8ef39525d39ab7c2d0">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-ch6-du "13 MB">
@@ -424,10 +424,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "5">
-<!ENTITY linux-patch-version "0">
-<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">
-<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">-->
-<!ENTITY linux-size "108,119 KB">
+<!ENTITY linux-patch-version "1">
+<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
+<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
+<!ENTITY linux-size "108,113 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "0a78b1dc48dc032fe505b170c1b92339">
+<!ENTITY linux-md5 "32736a152de38bc160fb08efc5863997">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -688,9 +688,9 @@
 <!ENTITY udev-lfs-home    " ">
 
-<!ENTITY util-linux-minor "2.34">
-<!ENTITY util-linux-version "2.34"> <!-- 2.33.x -->
-<!ENTITY util-linux-size "4,859 KB">
+<!ENTITY util-linux-minor "2.35">
+<!ENTITY util-linux-version "2.35.1"> <!-- 2.33.x -->
+<!ENTITY util-linux-size "5,018 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "a78cbeaed9c39094b96a48ba8f891d50">
+<!ENTITY util-linux-md5 "7f64882f631225f0295ca05080cee1bf">
 <!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
 <!ENTITY util-linux-ch5-du "147 MB">
@@ -699,10 +699,10 @@
 <!ENTITY util-linux-ch6-sbu "1.2 SBU">
 
-<!ENTITY vim-version "8.2.0129">
+<!ENTITY vim-version "8.2.0190">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "14,325 KB">
+<!ENTITY vim-size "14,406 KB">
 <!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "1eb5bca782901dcb7b4d25322dc1a6b7">
+<!ENTITY vim-md5 "f5337b1170df90e644a636539a0313a3">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-ch6-du "190 MB">
